### R code from vignette source 'kBestShortestPaths.Rnw'

###################################################
### code chunk number 1: graph-generation
###################################################
library(graph)
set.seed(123)
V <- letters[1:10]
M <- 1:4
g1 <- randomGraph(V, M, 0.2)


###################################################
### code chunk number 2: plot-graph
###################################################
library(Rgraphviz)
eAttrs <- list()
ew <- as.character(unlist(edgeWeights(g1)))
ew <- ew[setdiff(seq(along = ew), removedEdges(g1))]
names(ew) <- edgeNames(g1)
eAttrs$label <- ew
plot(g1, edgeAttrs = eAttrs)


###################################################
### code chunk number 3: k-shortest-paths
###################################################
library(kBestShortestPaths)
z <- kBestShortestPaths(g1, "a", "h", 5)
summary(z)


###################################################
### code chunk number 4: summary
###################################################
z


###################################################
### code chunk number 5: plot-paths
###################################################
plot(z)


